--TRIGGERS
IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.TRG_DEL_HEADER_DEL_HLS') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
EXEC dbo.sp_executesql @statement = N'CREATE TRIGGER dbo.TRG_DEL_HEADER_DEL_HLS ON dbo.HEADER FOR DELETE 
AS 
    DELETE 
FROM HEADER_LOCALISED_STRING 
WHERE HEADER_ID IN 
( 
SELECT HEADER_ID 
FROM DELETED 
) 
'
;

IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.TRG_DEL_CONTACT_DEL_HLS') AND OBJECTPROPERTY(id, N'IsTrigger') = 1)
EXEC dbo.sp_executesql @statement = N'CREATE TRIGGER dbo.TRG_DEL_CONTACT_DEL_HLS ON dbo.CONTACT FOR DELETE 
AS 
    DELETE 
FROM HEADER_LOCALISED_STRING 
WHERE CONTACT_ID IN 
( 
SELECT CONTACT_ID 
FROM DELETED 
) '
;
go
;

